Bug 881924 - RollupClone - org.jboss.internal.soa.esb.message.format.xml.marshal.SerializedMarshalUnmarshalPlugin.unmarshal throws ClassNotFoundException when WSDL is not available to SoapUI
RollupClone - org.jboss.internal.soa.esb.message.format.xml.marshal.Serialize...
Status: VERIFIED
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.3.0 GA
Unspecified Unspecified
high Severity unspecified
: ER4
: 5.3.1
Assigned To: Pavel Drozd
Pavel Drozd
:
: 870426 876284 (view as bug list)
Depends On: 870426
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-29 14:20 EST by Rick Wagner
Modified: 2013-10-10 20:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The soapui-1.7.1.jar is not included in the jboss-as/server/<configuration>/deployers/esb.deployer/lib/ directory resulting in a ClassNotFoundException. To workaround this issue, the user can add the JAR file to this directory manually. Manual instructions: Copy the soapui-1.7.1.jar from jboss-as/server/<configuration>/deploy/soapui-client.sar/lib to jboss-as/server/<configuration>/deployers/esb.deployer/lib directory. Note: The platform with this modification has been tested only for the purpose of verifying issue BZ-881924.
Story Points: ---
Clone Of: 870426
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pdrozd: needinfo+


Attachments (Terms of Use)

  None (edit)
Description Rick Wagner 2012-11-29 14:20:10 EST
+++ This bug was initially created as a clone of Bug #870426 +++

This problem is a BZ tracker for JBESB-2001.

A user has noted that a viable workaround is to copy soapui-1.7.1.jar into the ../jboss-as/server/default/deployers/esb.deployer/lib/ directory.

Could we please QE this workaround so we can share it as an endorsed action?

Thank you,

Rick
Comment 1 Rick Wagner 2012-12-07 09:09:47 EST
*** Bug 876284 has been marked as a duplicate of this bug. ***
Comment 2 Rick Wagner 2012-12-07 09:15:10 EST
*** Bug 870426 has been marked as a duplicate of this bug. ***
Comment 3 Pavel Drozd 2013-01-15 02:11:09 EST
The soapui-1.7.1.jar is not included in the jboss-as/server/<configuration>/deployers/esb.deployer/lib/ directory. Verified in 531ER3
Comment 4 Pavel Drozd 2013-01-31 04:04:15 EST
If this workaround will be used, in the documentation should be at least following:
1. Instruction from where the jar file should be copied
2. Note that the platform with the change has been tested only for this case
Comment 5 belong 2013-01-31 18:30:21 EST
Pavel,

Would you be able to update the Doc Text with the appropriate instructions please?

Thanks,
Ben

Note You need to log in before you can comment on or make changes to this bug.